USE [wms-skt]
GO
/****** Object:  Table [dbo].[KanbanStatus]    Script Date: 6/1/2024 11:44:21 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[KanbanStatus](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[kanban] [varchar](200) NULL,
	[status] [varchar](20) NULL,
	[create_dt] [datetime] NULL,
	[create_user_id] [varchar](100) NULL,
	[update_dt] [datetime] NULL,
	[update_user_id] [varchar](100) NULL,
 CONSTRAINT [PK_KanbanStatus] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Record_KB]    Script Date: 6/1/2024 11:44:21 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Record_KB](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[logDate] [nvarchar](20) NULL,
	[logTime] [nvarchar](20) NULL,
	[HTID] [nvarchar](50) NULL,
	[userName] [nvarchar](50) NULL,
	[PDS] [nvarchar](100) NULL,
	[CustomerKB] [nvarchar](50) NULL,
	[CustomerQty] [nvarchar](50) NULL,
	[SKTKB] [nvarchar](50) NULL,
	[SKTQTY] [nvarchar](50) NULL,
	[ResultKB] [nvarchar](20) NULL,
	[ResultQT] [nvarchar](20) NULL,
	[Approve] [nvarchar](50) NULL,
	[systemDateTime] [datetime] NULL,
 CONSTRAINT [PK_Record_KB] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Record_PDS]    Script Date: 6/1/2024 11:44:21 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Record_PDS](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[logDate] [nvarchar](20) NULL,
	[logTime] [nvarchar](20) NULL,
	[HTID] [nvarchar](50) NULL,
	[userName] [nvarchar](50) NULL,
	[PDS] [nvarchar](100) NULL,
	[systemDateTime] [datetime] NULL,
 CONSTRAINT [PK_Record_PDS] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[SerialNo]    Script Date: 6/1/2024 11:44:21 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[SerialNo](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[prod_schd_id] [bigint] NULL,
	[parts_no] [nvarchar](50) NULL,
	[serial_no] [varchar](10) NULL,
	[qty] [int] NULL,
	[status] [varchar](20) NULL,
	[create_dt] [datetime] NULL,
	[create_user_id] [varchar](100) NULL,
	[update_dt] [datetime] NULL,
	[update_user_id] [varchar](100) NULL,
 CONSTRAINT [PK_SerialNo] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
